MP3::Tag::ImageExifTool(3pm)

NAME
MP3::Tag::ImageExifTool - extract size info from image files via Image::ExifTool.

SYNOPSIS
  my $db = MP3::Tag::ImageExifTool->new($filename);     # Name of multimedia file

see MP3::Tag

DESCRIPTION
MP3::Tag::ImageExifTool is designed to be called from the MP3::Tag module.

It implements the (standard) methods qw(title track artist album year genre comment), as well as width(), height(), bit_depth(), _duration() and mime_type() methods (sizes in pixels).

Use method "field('FieldName')" to access a particular field provided by "Image::ExifTool".

These methods return "undef" if "Image::ExifTool" is not available, or does not return valid data.